
$(function() {

   // top.ResizeIFrame()
});

//通用JS类


//单选框是否选择验证，返回TRUE OR FALSE
function IsChecked(sName)
{
    var sexGroup=document.all[sName];
    var isChecked=false;
    for(var i=0;i<sexGroup.length;i++)
    {
        if(sexGroup.item(i).checked)
        {
            isChecked=true;break;
        }
    }
    return isChecked;
}

//获取radiobutton 的选择项
function GetRadioCheckedValue(groupName)
{
    var obj = document.getElementsByName(groupName);
    var result = "";
    if(obj.length)
    {
        for(var i=0;i<obj.length;i++)
        {
            if(obj[i].checked)
            {
                result = obj[i].value;break;
            }
        }
    }
    return result;
}

//获取radiobutton 的选择项
function GetRadioCheckedText(groupName)
{
    var obj = document.getElementsByName(groupName);
    var result = "";
    if(obj.length)
    {
        for(var i=0;i<obj.length;i++)
        {
            if(obj[i].checked)
            {
                result = obj[i].text;
            }
        }
    }
    return result;
}

//获取checkbox 的所有被选择项
function GetCheckBoxCheckedValue(groupName)
{
    var obj = document.getElementsByName(groupName);
    var result = "";
    if (obj!=null && obj.length)
    {
        for(var i=0;i<obj.length;i++)
        {
            if(obj[i].checked)
            {
                if(result=="")
                   result=obj[i].value;
                else
                   result +=","+ obj[i].value;
            }
        }
    }
    return result;
}

//全选
function checkAll(obj)
{
    if (obj.checked==false)
    {
        obj.checked=true;
    }
    else
    {
        obj.checked=false;
    }
   var a = document.getElementsByTagName("input");
   for (var i=0; i<a.length; i++)
   {
      if (a[i].type == "checkbox") 
      {
          if(a[i].checked==true)
          {
               a[i].checked = false;
          }
          else
          {
               a[i].checked = true;
          }
      }
   }
}


//****判断日期
function IsDate(s)
{ 
	var sMonth = new Array(31,28,31,30,31,30,31,31,30,31,30,31);
	var sDate =s.toString().split("-");
	var year = parseInt(sDate[0])
	var month = parseInt(sDate[1])
	var day=parseInt(sDate[2])
	if (((year % 4 == 0) && (year % 100 != 0)) || (year % 400 == 0)) sMonth[1]=29;
	if (month < 1 || month > 12) return false
	if (day < 1 || day > sMonth[month - 1]) return false
	return true
}
//输入框是否为空字符
function IsEmpty(s)
{
   if(s.trim()=="")
   {
     return true;
   }
   return false;
}
	
//是否邮编
function IsZip(str)
{
	var s =/^[1-9]\d{5}$/; 
	if(s.test(str)) 
		return true;
	else
		return false; 		
}
//是否QQ
function IsQQ(str)
{
	var s =/^[1-9]\d{4,12}$/; 
	if(s.test(str)) 
		return true;
	else
		return false; 		
}
//是否正整数
function IsUInt(str)
{
	var s =/^[1-9][0-9]*$/; 
	if(s.test(str)) 
		return true;
	else
		return false; 		
}

//字符串是否中文
function IsChinese(str)
{
	var s =/^[\u0391-\uFFE5]+$/; 
	if(s.test(str)) 
		return true;
	else
		return false; 		
}

//判断是否邮件地址
function IsEmail(str)
{
	if(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/g.test(str))
		return true;
	else
		return false;
}

//是否图片格式
function IsPicFormat(str)
{
	var s =/\.jpg$|\.jpeg$|\.gif$/; 
	if(s.test(str)) 
		return true;
	else
		return false; 		
}

//取得网页地址
function GetQueryStr(sTag)
{
  var result = window.location.search.match( new RegExp("([?|&])"+ sTag +"=([^&]*)([&|$])") );
  return (result == null) ? "" : unescape(result[2]);
}


//用户名格式验证(数字、字母组成，并且以字母开头)
function IsMemberAccount(s)
{
    var pattern=/^[a-zA-Z][a-zA-Z0-9]{5,16}$/;
    return pattern.test(s);
}

//是否手机号码
function IsMobileNumber(s)
{
    var pattern=/^[0-9]{11}$/;
    return pattern.test(s);
}

//是否电话号码
function IsPhoneNumber(s)
{
    var pattern=/^[0-9-]{6,30}$/;
    return pattern.test(s);
}



